<?php 
/**
 * This file contains shortcodes interface for Visual Composer.
 */

// ! File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

/**
 * Adding our classes to paint standard VC shortcodes.
 */


/* VC Progress bars. */

vc_add_param('vc_progress_bar', array(
	'type' => 'dropdown',
	'heading' => esc_html__( 'Style', 'restorator' ),
	'param_name' => 'style',
	'value' => array(
		esc_html__( 'Style 1', 'restorator' ) => 'style1',
		esc_html__( 'Style 2', 'restorator' ) => 'style2',
		esc_html__( 'Style 3', 'restorator' ) => 'style3',
		esc_html__( 'Style 4', 'restorator' ) => 'style4',
	)
));


/* VC Gallery */

vc_add_param('vc_gallery', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__( 'Column Number', 'restorator' ),
	'param_name' => 'columns',
	'value' => array(2, 3, 4, 5, 6, 'Auto' => 0),
	'dependency' => array(
		'element' => 'type',
		'value' => 'image_grid',
	),
));

vc_add_param('vc_gallery', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__( 'Spacing', 'restorator' ),
	'param_name' => 'spacing',
	'value' => array(
		esc_html__( 'yes', 'restorator' ) => 'yes',
		esc_html__( 'none', 'restorator' ) => 'none',
	),
	'dependency' => array(
		'element' => 'type',
		'value' => 'image_grid',
	),
));

vc_add_param('vc_gallery', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__( 'Hover Effect', 'restorator' ),
	'param_name' => 'hover_effect',
	'value' => array(
		esc_html__( 'Style 1', 'restorator' ) => 'style1',
		esc_html__( 'Style 2', 'restorator' ) => 'style2',
		esc_html__( 'Style 3', 'restorator' ) => 'style3',
		esc_html__( 'Style 4', 'restorator' ) => 'style4',
	),
	'dependency' => array(
		'element' => 'type',
		'value' => 'image_grid',
	),
));

vc_add_param('vc_gallery', array(
	'type' => 'colorpicker',
	'heading' => esc_html__( 'Overlay Color', 'restorator' ),
	'description' => esc_html__( 'Select the overlay color for the images when you hover', 'restorator' ),
	'param_name' => 'overlay_bg',
	'value' => '#2d2f31',
));

vc_add_param('vc_gallery', array(
	'type' => 'checkbox',
	'heading' => esc_html__( 'Grayscale Image', 'restorator' ),
	'description' => esc_html__( 'Select to add the grayscale effect images for the gallery', 'restorator' ),
	'param_name' => 'grayscale',
	'value' => array( esc_html__( 'Yes', 'restorator' ) => 'yes' ),
));